summaryrefslogtreecommitdiffstats
path: root/sca-cpp/trunk/etc/ios-inspector
diff options
context:
space:
mode:
authorjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2013-01-03 07:41:53 +0000
committerjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2013-01-03 07:41:53 +0000
commitd7069b5a2e7859ab14c5a909d5e5fc6bc84b80cb (patch)
treed8027520fb22c176f54e860c0d2ebd000b1c457f /sca-cpp/trunk/etc/ios-inspector
parent9e1b9e73145e00ea591bd1e0e9777625bad66dc9 (diff)
Improve app hosting management app, restructure UI and refactor REST services and data model to use an SQL database.
git-svn-id: http://svn.us.apache.org/repos/asf/tuscany@1428193 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'sca-cpp/trunk/etc/ios-inspector')
-rwxr-xr-xsca-cpp/trunk/etc/ios-inspector35
1 files changed, 35 insertions, 0 deletions
diff --git a/sca-cpp/trunk/etc/ios-inspector b/sca-cpp/trunk/etc/ios-inspector
new file mode 100755
index 0000000000..5227908fba
--- /dev/null
+++ b/sca-cpp/trunk/etc/ios-inspector
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Open iOS mobile Safari remote inspector
+mobsafari=$(ps x | grep "MobileSafari" | grep -v grep | awk '{ print $1 }')
+if [ "$mobsafari" == "" ]; then
+ echo "Mobile Safari.app not running."
+ exit 1
+else
+
+ # Enable remote inspector
+ cat <<EOF | gdb
+attach $mobsafari
+p (void *)[WebView _enableRemoteInspector]
+detach
+EOF
+
+fi
+